/****************************************************************************

USB-CAN-Interface Communication Center
Dialog: Auswahl und ffnen eines Gertes

(c) 2019-2020 Reusch Elektronik, Dipl.-Ing. (FH) Rainer Reusch

Created: 2019-08-28
Changed: 2020-03-11

*****************************************************************************/

/*
Der Gerteauswahldialog erscheint nur, wenn mehr als ein Gert
angeschlossen ist. Ist kein Gert angeschlossen, erscheint eine
entsprechende Fehlermeldung.
*/

//---------------------------------------------------------------------------

#ifndef UnitConnectH
#define UnitConnectH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.ExtCtrls.hpp>
#include "uci_if.h"

//---------------------------------------------------------------------------
class TFormConnect : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
	TMemo *Memo1;
	TPanel *Panel1;
	TBitBtn *BitBtnOk;
	TBitBtn *BitBtnCancel;
	TListBox *ListBox1;
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
	__fastcall TFormConnect(TComponent* Owner);
	AnsiString __fastcall Execute(TPoint WinPos, TUCI *AnUCI);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormConnect *FormConnect;
//---------------------------------------------------------------------------
#endif
