/****************************************************************************

USB-CAN-Interface Communication Center
Dialog: ber das Programm

(c) 2019-2020 Reusch Elektronik, Dipl.-Ing. (FH) Rainer Reusch

Created: 2020-03-15
Changed: 2020-03-15

*****************************************************************************/

//---------------------------------------------------------------------------

#ifndef UnitAboutH
#define UnitAboutH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Graphics.hpp>
#include "VersionInfo.hpp"
#include "JDUrlLabel.hpp"
//---------------------------------------------------------------------------
class TFormAbout : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
	TLabel *LabelVersion;
	TMemo *Memo1;
	TImage *Image1;
	TBitBtn *BitBtnClose;
	TLabel *LabelCopyright;
	TVersionInfo *VersionInfo1;
	TLabel *LabelDebug;
	TJDUrlLabel *JDUrlLabel1;
	void __fastcall FormCreate(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
	__fastcall TFormAbout(TComponent* Owner);
	void __fastcall Execute(TPoint WinPos);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormAbout *FormAbout;
//---------------------------------------------------------------------------
#endif
