/****************************************************************************

USB-CAN-Interface Communication Center
Konfiguration

(c) 2020 Dipl.-Ing. (FH) Rainer Reusch, Reusch Elektronik

RADStudio XE7

Erstellt: 2020-03-09
Letzte nderung: 2020-03-09

*****************************************************************************/

//---------------------------------------------------------------------------

#ifndef UnitConfigH
#define UnitConfigH
//---------------------------------------------------------------------------

#include <Vcl.Forms.hpp>
#include <IniFiles.hpp>

#define SEC_MAIN		"Main"
#define SEC_DEVCFG	"DevConfig"
#define SEC_FILTER	"Filter_"
#define SEC_MSG			"Messages"
#define PAR_X				"LeftPos"
#define PAR_Y				"TopPos"
#define PAR_W				"Width"
#define PAR_H				"Height"
#define PAR_S				"State"
#define PAR_V				"Vertical"
#define PAR_N				"n"
#define PAR_SPEED		"Speed"
#define PAR_TERM		"Termination"
#define PAR_RETRM		"Retransmission"
#define PAR_LOOPBK	"LoopbackMode"
#define PAR_ACTIVE	"Active"
#define PAR_MODE		"Mode"
#define PAR_IDTYPE	"IDType"
#define PAR_ID			"ID"
#define PAR_MASK		"Mask"

extern TIniFile *cfg;

UnicodeString GetSpecialFolder(int Folder);
void cfg_Init(TForm *AForm);
void cfg_DeInit(void);

#endif
